using SchoolContracts.BindingModels;
using SchoolContracts.SearchModels;
using SchoolContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolContracts.StorageContracts
{
	public interface IItemForStudyStorage
	{
		List<ItemForStudyViewModel> GetFullList();
		List<ItemForStudyViewModel> GetFilteredList(ItemForStudySearchModel model);
		ItemForStudyViewModel? GetElement(ItemForStudySearchModel model);
		ItemForStudyViewModel? Insert(ItemForStudyBindingModel model);
		ItemForStudyViewModel? Update(ItemForStudyBindingModel model);
		ItemForStudyViewModel? Delete(ItemForStudyBindingModel model);
	}
}
